title: Package Inclusion Policy and Guidance

<div class="box box_grey alert alert-warning">
	<b>Note:</b> This is a draft
</div>

## 1. General

It is not permitted to submit abusive, obscene, vulgar, slanderous, hateful,
threatening, sexually-orientated or any material that may violate any laws be
it of your country, the country where "Content DB” is hosted or International Law.


## 2. Technical Names

### 2.1 Right to a name

The first package to use a name based on the creation of its forum topic or
contentdb submission has the right to the technical name. The use of a package
on a server or in private doesn't reserve its name.

If it turns out that we made a mistake by approving a package and that the
name should have been given to another package, then we *may* unapprove the
package and give the name to the correct one.

### 2.2 Mod Forks and Reimplementations

An exception to the above is that mods are allowed to have the same name as a
mod if its a fork of that mod (or a close reimplementation). In real terms, it
should be possible to use the new mod as a drop-in replacement.

We reserve the right to decide whether a mod counts as a fork or
reimplementation of the mod that owns the name.


## 3. License

### 3.1 Allowed Licenses

Please ensure that you correctly credit any resources (code, assets, or otherwise)
that you have used in your package.

The use of licenses which do not allow derivatives is not permitted.
This includes CC-ND (No-Derivatives) and lots of closed source licenses.

If the license you use is not on the list then please choose the correct "Other"
option.

Please note that the definitions of "free" and "non-free" is the same as that
of the [Free Software Foundation](https://www.gnu.org/philosophy/free-sw.en.html).

### 3.2 Recommended Licenses

It is recommended that you use a proper license for code with a warranty
disclaimer, such as the (L)GPL or MIT. You should also use a proper media license
for media, such as a Creative Commons license.

The use of WTFPL is discouraged as it doesn't contain a valid warranty disclaimer,
and also includes swearing which dissuades teachers from using your content.

Public domain is not a valid license in many countries, please use CC0 or MIT instead.


## 4. Other

See the [help page on tags](/help/package_tags/).
